VMware品尝Leopard

/ 7评 / 0

到目前为止,除了我从10.8 Mountain Lion一路用到10.13 High Sierra之外,Mac OS 9、 OS X 10.1、10.2都已经在iBook上体验过;前几天Lion体验过了,对早期拟物化的Leopard就更是心驰神往。但是喜闻乐见的是,我身边并没有能够Leopard的设备,因此只能选择一款适合的虚拟化软件来品尝一下Leopard。

在虚拟机里跑起Mac OS X可能是常事,但是在虚拟机里跑的版本大多是Lion往后。很多虚拟化软件也对Lion往后的版本提供官方支持。早期版本的安装和支持,成为了一个问题。但是本文将会介绍相关虚拟Leopard的心得。我承认这没什么意义,只是为了动手和情怀。


破解VMware

VMware与苹果签订协议,仅允许当时付费500刀的Server版虚拟化。那既然官方支持Leopard Server,那么Leopard本身就一定能够启动和完美支持,这给了我动力。并且决定性的是,在网络上有各种不同的方法和破解的先例,如果没有这些,就无法继续了。

在InsanelyMac(著名OSX86论坛)找到的方式,是通过给VMware软件本身进行破解,阻断其验证安装映像。理论上来说,它也能开启Windows、Linux平台的VMware的macOS安装选项。分为三个版本,以Fusion举例子,分别覆盖Fusion 4-6、Fusion 7-8、 Fusion 9-10(10运行在Sierra上,High Sierra不支持)。

Donk的个人主页(请移步Topics或Files阅读说明和下载)

感谢英国的Donk,他的工具Unlock给我们的虚拟化以技术支持。在下载工具前,你需要先在这个论坛注册账户,然后完成一些Mac和计算机基础知识答题才有下载论坛文件的权限。这一切的特殊性需求相当的英文基础,同时由于论坛位置的特殊性,你还可能需要特殊上网方法。

工具下载后,请手动编辑osx的安装脚本,指定破解脚本的路径,然后sudo运行安装脚本。若是版本合适,你应当看到一长串直到Finish,而没有Permission denied(chmod+x,sudo再重试),Python错误(Mac和VM版本不对会导致这个错误,同时请确保Python版本是2.7),no such file(路径修改不对)等无厘头的错误。

虚拟机的创建和安装

创建虚拟机时,你需要10.5的DMG原版映像,这里没有测试专门用于Hackintosh的懒人版等。然后分配1GB以上的内存,安装和使用即毫无压力了。这里因为自己的16MBP已经升级High Sierra不再支持工具(破解后会导致VMware无法运行任何虚拟机),用老MBP来做演示。这里还有一段小插曲,因为老MBP有16GB的内存,我分配了8GB,Leopard居然卡顿了无法继续。所以,大概2-4GB就已经足够了。

因为VMware官方提供对Leopard的虚拟化支持,而我们又破解了Guest,只需要一切使用默认设置即可,然后直接启动虚拟机,一切就开始运行,也开始违反EULA。测试平台:VMware Fusion 6.0.0,Mac OS X 10.7.5,Unlocker 1.3.0;虚拟机配置:双核心,4GB内存,SATA硬盘40GB。

经过简短的加载,甚至不需要用Verbose调试即可到达安装界面,这就是官方支持的好处。

开始安装,VMware甚至已经帮忙分好了HFS+分区,直接一路安装即可。安装过程中会经历安装盘验证、安装;随后提示安装成功,运行设置助理,安装VMware Tools。这都属于基本操作,不再赘述。

体验Leopard!

然后,熟悉的当年乔布斯反复斟酌选择的果冻滚动条、椭圆按钮、果冻复选框的Leopard回来了。当年的Leopard是如此惊艳,3D倒影的Dock,Expose和Spaces功能,虽然缺少了全屏、手势操作等Lion以来的功能。虚拟机里的Leopard的动画毫无卡顿,接近原机器的速度,非常令人惊喜,这也许就是官方支持的力量!

这里通过内置的Safari 3浏览器直接访问了网站,上面这张截图就是通过Leopard截图和上传的。在2007年Leopard对中文的支持一样差劲,不但中文键盘布局有问题,输入法也是烂的一塌糊涂,还必须要调整语言顺序才能解决日文的汉字字符渲染问题(如图)。这也不难知道为什么当年的苹果电脑在中国几乎难以见面。大概文章下的留言区会有我用Leopard的留言。

这个安装方法同时还适合Snow Leopard!这样,自己对macOS的体验史上就变得更充实了,还不需要收藏对应的硬件。

拓展阅读

7条回应:“VMware品尝Leopard”

  1. 排长说道:

    评论一下,看看小尾巴

  2. 旧电脑装Linux不是更爽么

  3. vmvmx说道:

    想用真机装的话,除了收当时的老Mac机以外,也可以用X58平台+nVidia 9000系列显卡(注意不是现在的9系),配合Clover(是的,这货支持老的苹果系统)安装。
    X58的主板大多不支持EFI,也可以利用Clover进行Chainload,以体验在此类主板上用UEFI模式安装Windows的乐趣。

    • vmvmx说道:

      @vmvmx 对了,用来安装的镜像最好是10.5.6集成版,以免遇到CPU不支持的问题。
      对10.6来说,可以找6570显卡(应该可以一直支持到10.13),安装镜像可以用10.6.3,装好之后直接打10.6.8。
      我自己用的体验是,安装10.6.8之后,直接免驱。

    • 排长说道:

      @vmvmx 感谢来访和评论,学习了。已经收了一台老机器。身边没有适合的硬件,可惜没什么机会体会Hackintosh了。

  4. ATV说道:

    能公开镜像吗???

发表评论

电子邮件地址不会被公开。 必填项已用*标注